<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 */
get_header();
?>
<div class="clear"></div>
<div class="page_head">
<h1 class="page_title single-heading"><?php _e( 'Error: 404 page not found', 'andrina-lite' ); ?></h1>    
</div>
<div class="page-content">
	
    <div class="row">
		<div class="col-md-8 col-sm-8">
			<div class="content-bar">           
				<header class="entry-header">
					<h1 class="entry-title">
						<?php _e( 'This is somewhat embarrassing, isn&rsquo;t it?', 'andrina-lite' ) ?>
					</h1>
				</header>
				<p>
					<?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching, or one of the links below, can help.', 'andrina-lite' ) ?>
				</p>
				<?php
				get_search_form();
				the_widget( 'WP_Widget_Recent_Posts', array( 'number' => 10 ), array( 'widget_id' => '404' ) );
				?>
				<div class="widget">
					<h2 class="widgettitle">
						<?php _e( 'Most Used Categories', 'andrina-lite' ) ?>
					</h2>
					<ul>
						<?php wp_list_categories( array( 'orderby' => 'count', 'order' => 'DESC', 'show_count' => 1, 'title_li' => '', 'number' => 10 ) ); ?>
					</ul>
				</div>
				<?php
				/* translators: %1$s: smilie */
				$archive_content = '<p>' . sprintf( 'Try looking in the monthly archives. %1$s', convert_smilies( ':)' ) ) . '</p>';
				the_widget( 'WP_Widget_Archives', array( 'count' => 0, 'dropdown' => 1 ), array( 'after_title' => '</h2>' . $archive_content ) );
				the_widget( 'WP_Widget_Tag_Cloud' );
				?>
			</div>
		</div>
		<div class="col-md-4 col-sm-4">
			<!--Start Sidebar-->
			<?php get_sidebar(); ?>
			<!--End Sidebar-->
		</div>
    </div>
</div>

<?php
get_footer();
?>
    