<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 *
 */
get_header();
?>
<div class="clear"></div>
<div class="page_head">
    <h1 class="page_title single-heading">
        <?php
        if (is_day()) :
              printf(__('Daily Archives: %s', 'andrina-lite'), get_the_date()); 
        elseif (is_month()) :
            printf(__('Monthly Archives: %s', 'andrina-lite'), get_the_date('F Y'));
        elseif (is_year()) :
            printf(__('Yearly Archives: %s', 'andrina-lite'), get_the_date('Y'));
        else :
            _e('Blog Archives', 'andrina-lite');
        endif;
        ?>
    </h1> 
</div>
<div class="page-content">
    <?php if (have_posts()): ?>
        <div class="row">
            <div class="col-md-8 col-sm-8">
                <div class="content-bar">
                    <?php
                    rewind_posts();
                    while (have_posts()) {
                        the_post();
                        get_template_part('templates/content');
                    }
                    ?>
                    <div class="clear"></div>
                    <?php
                    andrina_pagination();
                endif;
                ?>
            </div>
        </div>
        <div class="col-md-4 col-sm-4">
            <!--Start Sidebar-->
            <?php get_sidebar(); ?>
            <!--End Sidebar-->
        </div>
    </div>
</div>

<?php get_footer(); ?>