<?php

class inkthemes_Customizer {

    public static function inkthemes_Register($wp_customize) {

        self::inkthemes_Sections($wp_customize);

        self::inkthemes_Controls($wp_customize);
    }

    public static function inkthemes_Sections($wp_customize) {

        /**
         * Logo and Favicon Section
         */
        $wp_customize->add_section('title_tagline', array(
            'title' => __('Site Identity', 'andrina-lite'),
            'description' => __('<p>Allows you to customize Header Logo for Andrina Theme.</p>', 'andrina-lite'), //Descriptive tooltip
            'panel' => '',
            'priority' => '1',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page Settings
         */
        $wp_customize->add_section('static_front_page', array(
            'title' => __('Home Page Settings', 'andrina-lite'),
            'description' => __('Allows you to setup Homepage for Andrina Theme.', 'andrina-lite'),
            'priority' => '2',
            'capability' => 'edit_theme_options'
        ));
        /**
         * Typography
         */
        $wp_customize->add_section('typography_section', array(
            'title' => __('Typography', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Typography!</h3> Allows you to set Font Family for Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'priority' => '3',
            'panel' => ''
        ));

        /**
         * Home Page Loading Animation Settings
         */
        $wp_customize->add_section('hp_loading_animation_setting', array(
            'title' => __('Home Page Loading Animation', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Home Page Loading Animation</h3>Allows you to set Home Page Loading Animation for Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'priority' => '4',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home page slider panel
         */
        $wp_customize->add_panel('home_page_slider_panel', array(
            'title' => __('Slider Settings', 'andrina-lite'),
            'description' => __('Allows you to setup Home Page Slider for Andrina Theme.', 'andrina-lite'),
            'priority' => '5',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Slider animation section
         */
        $wp_customize->add_section('home_page_slider_animation_control', array(
            'title' => __('Slider Animation Section', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Slider Animation Section!</h3> Allows you to set the Home Page Slider Animation as per your requirement.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * First Slider section
         */
        $wp_customize->add_section('home_page_slider_1', array(
            'title' => __('First Slider', 'andrina-lite'),
            'description' => __('Allows you to setup First Slider for Andrina Theme.', 'andrina-lite'), //Descriptive tooltip
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Second Slider section
         */
        $wp_customize->add_section('home_page_slider_2', array(
            'title' => __('Second Slider', 'andrina-lite'),
            'description' => __('Allows you to setup Second Slider for Andrina Theme.', 'andrina-lite'), //Descriptive tooltip
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Third Slider section
         */
        $wp_customize->add_section('home_page_slider_3', array(
            'title' => __('Third Slider', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Third Slider!</h3> Allows you to setup Third Slider for Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Fourth Slider section
         */
        $wp_customize->add_section('home_page_slider_4', array(
            'title' => __('Fourth Slider', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Fourth Slider!</h3> Allows you to setup Fourth Slider for Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Fifth Slider section
         */
        $wp_customize->add_section('home_page_slider_5', array(
            'title' => __('Fifth Slider', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Fifth Slider!</h3> Allows you to setup Fifth Slider for Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Sixth Slider section
         */
        $wp_customize->add_section('home_page_slider_6', array(
            'title' => __('Sixth Slider', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Sixth Slider!</h3> Allows you to setup Sixth Slider for Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Home Page Feature area panel
         */
        $wp_customize->add_panel('home_feature_area_panel', array(
            'title' => __('Home Page Feature Section', 'andrina-lite'),
            'description' => __('Allows you to set HomePage Feature Area for Andrina Theme.', 'andrina-lite'),
            'priority' => '6',
            'capability' => 'edit_theme_options'
        ));


        /**
         * Home Page feature on/off
         */
        $wp_customize->add_section('home_feature_area_onoff', array(
            'title' => __('Feature Area On/Off', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Home Page Feature on/off section!</h3>Allows you to turn on/off feature section on homepage", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Home Page feature area 1
         */
        $wp_customize->add_section('home_feature_area_1', array(
            'title' => __('First Feature Area', 'andrina-lite'),
            'description' => __('Allows you to setup First Feature Area for Andrina Theme.', 'andrina-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 2
         */
        $wp_customize->add_section('home_feature_area_2', array(
            'title' => __('Second Feature Area', 'andrina-lite'),
            'description' => __('Allows you to setup Second Feature Area for Andrina Theme.', 'andrina-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 3
         */
        $wp_customize->add_section('home_feature_area_3', array(
            'title' => __('Third Feature Area', 'andrina-lite'),
            'description' => __('Allows you to setup Third Feature Area for Andrina Theme.', 'andrina-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 4
         */
        $wp_customize->add_section('home_feature_area_4', array(
            'title' => __('Fourth Feature Area', 'andrina-lite'),
            'description' => __('Allows you to setup Fourth Feature Area for Andrina Theme.', 'andrina-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page feature box
         */
        $wp_customize->add_section('home_feature_box', array(
            'title' => __('Add Unlimited Feature Box', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Home Page shop section!</h3>Allows you to setup Unlimited Feature Box for Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page Blog panel
         */
        $wp_customize->add_panel('homepage_blog_panel', array(
            'title' => __('Home Page Blog Section', 'andrina-lite'),
            'description' => __('Allows you to setup HomePage Blog Section for Andrina Theme.', 'andrina-lite'),
            'priority' => '7',
            'capability' => 'edit_theme_options'
        ));
        /**
         * Home Page First and Second Blog section
         */
        $wp_customize->add_section('homepage_blog_first_and_second_section', array(
            'title' => __('First & Second Blog Section ', 'andrina-lite'),
            'description' => __('Allows you to setup HomePage First & Second Blog Section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'homepage_blog_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page Third Blog section
         */
        $wp_customize->add_section('homepage_blog_third_section', array(
            'title' => __('Third Blog Section ', 'andrina-lite'),
            'description' => __('Allows you to setup HomePage Third Blog Section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'homepage_blog_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page Fourth Blog section
         */
        $wp_customize->add_section('homepage_blog_fourth_section', array(
            'title' => __('Fourth Blog Section ', 'andrina-lite'),
            'description' => __('Allows you to setup HomePage Fourth Blog Section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'homepage_blog_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home shop section Settings
         */
        $wp_customize->add_section('shop_section_settings', array(
            'title' => __('Home Page WooCommerce Product Section', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Home Page shop section!</h3> Allows you to setup HomePage Shop Section for Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'priority' => '8',
            'capability' => 'edit_theme_options'
        ));
        /**
         * Contact details Setting
         */
        $wp_customize->add_section('contact_details_section', array(
            'title' => __('Contact Details Streak', 'andrina-lite'),
            'description' => __('Allows you to add your Contact Details for Andrina Theme.', 'andrina-lite'),
            'priority' => '9',
            'panel' => ''
        ));
        /**
         * Social Icon Setting
         */
        $wp_customize->add_section('andrina_social_icons', array(
            'title' => __('Social Icons', 'andrina-lite'),
            'description' => __('Allows you to setup Footer Social Icons for Andrina Theme.', 'andrina-lite'),
            'priority' => '10',
            'panel' => ''
        ));
        /**
         * Add panel for Styling Options
         */
        $wp_customize->add_panel('footer_settings_panel', array(
            'title' => __('Bottom Footer Settings', 'andrina-lite'),
            'description' => __("Allows you to setup Footer area for Andrina Theme.", 'andrina-lite'),
            'priority' => '11',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Widget Area Settings Setting
         */
        $wp_customize->add_section('widget_area_section', array(
            'title' => __('Widget Area Section', 'andrina-lite'),
            'description' => sprintf(__("<b>You Can Customize Your Widget Area By Following These Steps</b><br/><br/><ul><li>Go To Dashboard->Appearance->Widget.</li><br/><li> Place your desired Widgets under the Footer Widget Areas (First, Second, Third, etc.) they will appear on the footer of your site. </li><br/><li> If you want to hide the footer widget contents then, just place a Blank Text Widget under Footer Widget Areas. </li><br/><li> You can also refer this tutorial link: <a href='https://www.inkthemes.com/how-to-use-widgets-in-wordpress/'>How To Use Widgets In Wordpress</a></li><br/> <h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Footer Widget On/Off ! </h3><br/> Allows you to turn on and off Footer Area Widgets for andrina-lite Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/wordpress-business-theme/')),
            'priority' => '',
            'panel' => 'footer_settings_panel'
        ));

        /**
         * Footer Setting
         */
        $wp_customize->add_section('footer_section', array(
            'title' => __('Copyright Footer Text', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Copyright Footer Text!</h3> ", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'priority' => '',
            'panel' => 'footer_settings_panel'
        ));
        /**
         * Tracking Code Section
         */
        $wp_customize->add_section('tracking_code_setting', array(
            'title' => __('Google Analytics Tracking Code', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Google Analytics Tracking Code!</h3> Paste your Google Analytics (or other) Tracking Code here.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'panel' => '',
            'priority' => '12',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Captcha Settings
         */
        $wp_customize->add_section('captcha_setting', array(
            'title' => __('Captcha Settings for Contact Form', 'andrina-lite'),
            'description' => __('Allows you to set Google reCaptcha Keys for Contact Page Template.', 'andrina-lite'), //Descriptive tooltip
            'priority' => '13',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Styling Option
         */
        $wp_customize->add_section('styling_option_section', array(
            'title' => __('Styling Options', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Styling Options!</h3> Allows you to style your Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'priority' => '14',
            'panel' => ''
        ));
        /**
         * SEO Options
         */
        $wp_customize->add_section('seo_option_section', array(
            'title' => __('SEO Options', 'andrina-lite'),
            'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over SEO Options!</h3> Allows you to set SEO Options for Andrina Theme.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
            'priority' => '15',
            'panel' => ''
        ));
    }

    public static function inkthemes_Section_Content() {

        $section_content = array(
            'title_tagline' => array(
                'andrina_logo',
            ),
            'hp_loading_animation_setting' => array(
                'andrina_hp_animation_on_off',
            ),
            'typography_section' => array(
                'typography_logo_family',
                'typography_nav_family'
            ),
            'home_page_slider_animation_control' => array(
                'andrina_slide_speed',
                'andrina_slider_caption_animation',
                'andrina_caption_heading_animation',
                'andrina_caption_subheading_animation',
                'andrina_caption_desc_animation',
                'andrina_caption_button_animation',
            ),
            'home_page_slider_1' => array(
                'andrina_slideimage1',
                'andrina_slider_heading1',
                'andrina_slider_subheading1',
                'andrina_slider_des1',
                'andrina_Slider_btntext1',
                'andrina_Slider_link1'
            ),
            'home_page_slider_2' => array(
                'andrina_slideimage2',
                'andrina_slider_heading2',
                'andrina_slider_subheading2',
                'andrina_slider_des2',
                'andrina_Slider_btntext2',
                'andrina_Slider_link2'
            ),
            'home_page_slider_3' => array(
                'andrina_slideimage3',
                'andrina_slider_heading3',
                'andrina_slider_subheading3',
                'andrina_slider_des3',
                'andrina_Slider_btntext3',
                'andrina_Slider_link3'
            ),
            'home_page_slider_4' => array(
                'andrina_image4',
                'andrina_slider_heading4',
                'andrina_slider_subheading4',
                'andrina_slider_des4',
                'andrina_Slider_btntext4',
                'andrina_Slider_link4'
            ),
            'home_page_slider_5' => array(
                'andrina_image5',
                'andrina_slider_heading5',
                'andrina_slider_subheading5',
                'andrina_slider_des5',
                'andrina_Slider_btntext5',
                'andrina_Slider_link5'
            ),
            'home_page_slider_6' => array(
                'andrina_image6',
                'andrina_slider_heading6',
                'andrina_slider_subheading6',
                'andrina_slider_des6',
                'andrina_Slider_btntext6',
                'andrina_Slider_link6'
            ),
            'home_feature_area_onoff' => array(
                'andrina_feature_chk',
            ),
            'home_feature_area_1' => array(
                'andrina_feature_img1',
                'andrina_f_head1',
                'andrina_f_des1',
                'andrina_link1',
            ),
            'home_feature_area_2' => array(
                'andrina_feature_img2',
                'andrina_f_head2',
                'andrina_f_des2',
                'andrina_link2',
            ),
            'home_feature_area_3' => array(
                'andrina_feature_img3',
                'andrina_f_head3',
                'andrina_f_des3',
                'andrina_link3',
            ),
            'home_feature_area_4' => array(
                'andrina_feature_img4',
                'andrina_f_head4',
                'andrina_f_des4',
                'andrina_link4',
            ),
            'home_feature_box' => array(
                'andrina_add_feature_box',
            ),
            'homepage_blog_first_and_second_section' => array(
                'blog_head_1',
                'bolg_first_category',
                'first_blogs_quan',
                'blog_head_2',
                'bolg_category_1',
                'andrina_fir_seco_blg_chk',
            ),
            'homepage_blog_third_section' => array(
                'blog_head_3',
                'bolg_category_2',
                'third_blogs_quan',
                'andrina_third_blg_chk',
            ),
            'homepage_blog_fourth_section' => array(
                'blog_head_4',
                'bolg_category_3',
                'fourth_blogs_quan',
                'andrina_fourth_blg_chk',
            ),
            'shop_section_settings' => array(
                'home_shop_section',
                'andrina_home_shop_section_heading',
                'andrina_home_shop_category',
                'andrina_home_shop_product_column',
                'andrina_home_shop_product_number',
            ),
            'contact_details_section' => array(
                'andrina_contact_no',
                'andrina_email_add',
            ),
            'andrina_social_icons' => array(
                'social_icon_1',
                'social_link_1',
                'social_icon_2',
                'social_link_2',
                'social_icon_3',
                'social_link_3',
                'social_icon_4',
                'social_link_4'
            ),
            'footer_section' => array(
                'andrina_footertext',
            ),
            'tracking_code_setting' => array(
                'andrina_analytics'
            ),
            'captcha_setting' => array(
                'andrina_contact_captcha',
                'andrina_captcha_site_key',
                'andrina_captcha_secret_key',
            ),
            'styling_option_section' => array(
                'andrina_altstylesheet',
                'andrina_lanstylesheet',
            ),
            'seo_option_section' => array(
                'andrina_keyword',
                'andrina_description',
                'andrina_author',
            ),
            'widget_area_section' => array(
                'footer_widget_on_off',
            ),
        );
        return $section_content;
    }

    public static function inkthemes_Settings() {


        $onoff_switch = array("on" => "On", "off" => "Off");
        //Stylesheet Reader
        $alt_stylesheets = array("black" => "black", "blue" => "blue", "grass" => "grass", "green" => "green", "orange" => "orange", "purple" => "purple", "red" => "red", "yellow" => "yellow");
        $lan_stylesheets = array("Default" => "Default", "rtl" => "rtl");
        //Animation Options
        $animation = array(
            'bounce' => 'bounce',
            'flash' => 'flash',
            'pulse' => 'pulse',
            'rubberBand' => 'rubberBand',
            'shake' => 'shake',
            'headShake' => 'headShake',
            'swing' => 'swing',
            'tada' => 'tada',
            'wobble' => 'wobble',
            'jello' => 'jello',
            'bounceIn' => 'bounceIn',
            'bounceInDown' => 'bounceInDown',
            'bounceInLeft' => 'bounceInLeft',
            'bounceInRight' => 'bounceInRight',
            'bounceInUp' => 'bounceInUp',
            'bounceOut' => 'bounceOut',
            'bounceOutDown' => 'bounceOutDown',
            'bounceOutLeft' => 'bounceOutLeft',
            'bounceOutRight' => 'bounceOutRight',
            'bounceOutUp' => 'bounceOutUp',
            'fadeIn' => 'fadeIn',
            'fadeInDown' => 'fadeInDown',
            'fadeInDownBig' => 'fadeInDownBig',
            'fadeInLeft' => 'fadeInLeft',
            'fadeInLeftBig' => 'fadeInLeftBig',
            'fadeInRight' => 'fadeInRight',
            'fadeInRightBig' => 'fadeInRightBig',
            'fadeInUp' => 'fadeInUp',
            'fadeInUpBig' => 'fadeInUpBig',
            'fadeOut' => 'fadeOut',
            'fadeOutDown' => 'fadeOutDown',
            'fadeOutDownBig' => 'fadeOutDownBig',
            'fadeOutLeft' => 'fadeOutLeft',
            'fadeOutLeftBig' => 'fadeOutLeftBig',
            'fadeOutRight' => 'fadeOutRight',
            'fadeOutRightBig' => 'fadeOutRightBig',
            'fadeOutUp' => 'fadeOutUp',
            'fadeOutUpBig' => 'fadeOutUpBig',
            'flipInX' => 'flipInX',
            'flipInY' => 'flipInY',
            'flipOutX' => 'flipOutX',
            'flipOutY' => 'flipOutY',
            'lightSpeedIn' => 'lightSpeedIn',
            'lightSpeedOut' => 'lightSpeedOut',
            'rotateIn' => 'rotateIn',
            'rotateInDownLeft' => 'rotateInDownLeft',
            'rotateInDownRight' => 'rotateInDownRight',
            'rotateInUpLeft' => 'rotateInUpLeft',
            'rotateInUpRight' => 'rotateInUpRight',
            'rotateOut' => 'rotateOut',
            'rotateOutDownLeft' => 'rotateOutDownLeft',
            'rotateOutDownRight' => 'rotateOutDownRight',
            'rotateOutUpLeft' => 'rotateOutUpLeft',
            'rotateOutUpRight' => 'rotateOutUpRight',
            'hinge' => 'hinge',
            'rollIn' => 'rollIn',
            'rollOut' => 'rollOut',
            'zoomIn' => 'zoomIn',
            'zoomInDown' => 'zoomInDown',
            'zoomInLeft' => 'zoomInLeft',
            'zoomInRight' => 'zoomInRight',
            'zoomInUp' => 'zoomInUp',
            'zoomOut' => 'zoomOut',
            'zoomOutDown' => 'zoomOutDown',
            'zoomOutLeft' => 'zoomOutLeft',
            'zoomOutRight' => 'zoomOutRight',
            'zoomOutUp' => 'zoomOutUp',
            'slideInDown' => 'slideInDown',
            'slideInLeft' => 'slideInLeft',
            'slideInRight' => 'slideInRight',
            'slideInUp' => 'slideInUp',
            'slideOutDown' => 'slideOutDown',
            'slideOutLeft' => 'slideOutLeft',
            'slideOutRight' => 'slideOutRight',
            'slideOutUp' => 'slideOutUp'
        );

        // Social Icons Array
        $social_icons = array(
            'facebook' => '&#xf09a;',
            'facebook-official' => '&#xf230;',
            'facebook-square' => '&#xf082;',
            'twitter' => '&#xf099;',
            'twitter-square' => '&#xf081;',
            'google' => '&#xf1a0;',
            'google-plus' => '&#xf0d5;',
            'google-plus-official' => '&#xf2b3;',
            'google-plus-square' => '&#xf0d4;',
            'linkedin' => '&#xf0e1;',
            'linkedin-square' => '&#xf08c;',
            'pinterest' => '&#xf0d2;',
            'pinterest-p' => '&#xf231;',
            'pinterest-square' => '&#xf0d3;',
            'behance' => '&#xf1b4;',
            'behance-square' => '&#xf1b5;',
            'tumblr' => '&#xf173;',
            'tumblr-square' => '&#xf174;',
            'reddit' => '&#xf1a1;',
            'reddit-alien' => '&#xf281;',
            'reddit-square' => '&#xf1a2;',
            'dribbble' => '&#xf17d;',
            'vk' => '&#xf189;',
            'skype' => '&#xf17e;',
            'film' => '&#xf008;',
            'youtube-play' => '&#xf16a;',
            'youtube' => '&#xf167;',
            'youtube-square' => '&#xf166;',
            'vimeo-square' => '&#xf194;',
            'soundcloud' => '&#xf1be;',
            'instagram' => '&#xf16d;',
            'flickr' => '&#xf16e;',
            'rss' => '&#xf09e;',
            'rss-square' => '&#xf143;',
            'heart' => '&#xf004;',
            'heart-o' => '&#xf08a;',
            'github' => '&#xf09b;',
            'github-alt' => '&#xf113;',
            'github-square' => '&#xf092;',
            'stack-overflow' => '&#xf16c;',
            'qq' => '&#xf1d6;',
            'weibo' => '&#xf18a;',
            'weixin' => '&#xf1d7;',
            'xing' => '&#xf168;',
            'xing-square' => '&#xf169;',
            'gamepad' => '&#xf11b;',
            'medium' => '&#xf23a;',
            'envelope' => '&#xf0e0;',
            'envelope-o' => '&#xf003;',
            'envelope-square ' => '&#xf199;',
            'cc-paypal' => '&#xf1f4;',
            'credit-card' => '&#xf09d;',
        );

// Typography Array
        $font_family = array('ABeeZee', 'Abel', 'Abril Fatface', 'Aclonica', 'Acme', 'Actor', 'Adamina', 'Advent Pro', 'Aguafina Script', 'Akronim', 'Aladin', 'Aldrich', 'Alef', 'Alegreya', 'Alegreya SC', 'Alex Brush', 'Alfa Slab One', 'Alice', 'Alike', 'Alike Angular', 'Allan', 'Allerta', 'Allerta Stencil', 'Allura', 'Almendra', 'Almendra Display', 'Almendra SC', 'Amarante', 'Amaranth', 'Amatic SC', 'Amethysta', 'Anaheim', 'Andada', 'Andika', 'Angkor', 'Annie Use Your Telescope', 'Anonymous Pro', 'Antic', 'Antic Didone', 'Antic Slab', 'Anton', 'Arapey', 'Arbutus', 'Arbutus Slab', 'Architects Daughter', 'Archivo Black', 'Archivo Narrow', 'Arial Black', 'Arial Narrow', 'Arimo', 'Arizonia', 'Armata', 'Artifika', 'Arvo', 'Asap', 'Asset', 'Astloch', 'Asul', 'Atomic Age', 'Aubrey', 'Audiowide', 'Autour One', 'Average', 'Average Sans', 'Averia Gruesa Libre', 'Averia Libre', 'Averia Sans Libre', 'Averia Serif Libre', 'Bad Script', 'Balthazar', 'Bangers', 'Basic', 'Battambang', 'Baumans', 'Bayon', 'Belgrano', 'Bell MT', 'Bell MT Alt', 'Belleza', 'BenchNine', 'Bentham', 'Berkshire Swash', 'Bevan', 'Bigelow Rules', 'Bigshot One', 'Bilbo', 'Bilbo Swash Caps', 'Bitter', 'Black Ops One', 'Bodoni', 'Bokor', 'Bonbon', 'Boogaloo', 'Bowlby One', 'Bowlby One SC', 'Brawler', 'Bree Serif', 'Bubblegum Sans', 'Bubbler One', 'Buenard', 'Butcherman', 'Butcherman Caps', 'Butterfly Kids', 'Cabin', 'Cabin Condensed', 'Cabin Sketch', 'Caesar Dressing', 'Cagliostro', 'Calibri', 'Calligraffitti', 'Cambo', 'Cambria', 'Candal', 'Cantarell', 'Cantata One', 'Cantora One', 'Capriola', 'Cardo', 'Carme', 'Carrois Gothic', 'Carrois Gothic SC', 'Carter One', 'Caudex', 'Cedarville Cursive', 'Ceviche One', 'Changa One', 'Chango', 'Chau Philomene One', 'Chela One', 'Chelsea Market', 'Chenla', 'Cherry Cream Soda', 'Cherry Swash', 'Chewy', 'Chicle', 'Chivo', 'Cinzel', 'Cinzel Decorative', 'Clara', 'Clicker Script', 'Coda', 'Codystar', 'Combo', 'Comfortaa', 'Coming Soon', 'Concert One', 'Condiment', 'Consolas', 'Content', 'Contrail One', 'Convergence', 'Cookie', 'Copse', 'Corben', 'Corsiva', 'Courgette', 'Courier New', 'Cousine', 'Coustard', 'Covered By Your Grace', 'Crafty Girls', 'Creepster', 'Creepster Caps', 'Crete Round', 'Crimson Text', 'Croissant One', 'Crushed', 'Cuprum', 'Cutive', 'Cutive Mono', 'Damion', 'Dancing Script', 'Dangrek', 'Dawning of a New Day', 'Days One', 'Delius', 'Delius Swash Caps', 'Delius Unicase', 'Della Respira', 'Denk One', 'Devonshire', 'Dhyana', 'Didact Gothic', 'Diplomata', 'Diplomata SC', 'Domine', 'Donegal One', 'Doppio One', 'Dorsa', 'Dosis', 'Dr Sugiyama', 'Droid Arabic Kufi', 'Droid Arabic Naskh', 'Droid Sans', 'Droid Sans Mono', 'Droid Sans TV', 'Droid Serif', 'Duru Sans', 'Dynalight', 'EB Garamond', 'Eagle Lake', 'Eater', 'Eater Caps', 'Economica', 'Electrolize', 'Elsie', 'Elsie Swash Caps', 'Emblema One', 'Emilys Candy', 'Engagement', 'Englebert', 'Enriqueta', 'Erica One', 'Esteban', 'Euphoria Script', 'Ewert', 'Exo', 'Expletus Sans', 'Fanwood Text', 'Fascinate', 'Fascinate Inline', 'Faster One', 'Fasthand', 'Fauna One', 'Federant', 'Federo', 'Felipa', 'Fenix', 'Finger Paint', 'Fjalla One', 'Fjord One', 'Flamenco', 'Flavors', 'Fondamento', 'Fontdiner Swanky', 'Forum', 'Francois One', 'Freckle Face', 'Fredericka the Great', 'Fredoka One', 'Freehand', 'Fresca', 'Frijole', 'Fruktur', 'Fugaz One', 'GFS Didot', 'GFS Neohellenic', 'Gabriela', 'Gafata', 'Galdeano', 'Galindo', 'Garamond', 'Gentium Basic', 'Gentium Book Basic', 'Geo', 'Geostar', 'Geostar Fill', 'Germania One', 'Gilda Display', 'Give You Glory', 'Glass Antiqua', 'Glegoo', 'Gloria Hallelujah', 'Goblin One', 'Gochi Hand', 'Gorditas', 'Goudy Bookletter 1911', 'Graduate', 'Grand Hotel', 'Gravitas One', 'Great Vibes', 'Griffy', 'Gruppo', 'Gudea', 'Habibi', 'Hammersmith One', 'Hanalei', 'Hanalei Fill', 'Handlee', 'Hanuman', 'Happy Monkey', 'Headland One', 'Helvetica Neue', 'Henny Penny', 'Herr Von Muellerhoff', 'Holtwood One SC', 'Homemade Apple', 'Homenaje', 'IM Fell DW Pica', 'IM Fell DW Pica SC', 'IM Fell Double Pica', 'IM Fell Double Pica SC', 'IM Fell English', 'IM Fell English SC', 'IM Fell French Canon', 'IM Fell French Canon SC', 'IM Fell Great Primer', 'IM Fell Great Primer SC', 'Iceberg', 'Iceland', 'Imprima', 'Inconsolata', 'Inder', 'Indie Flower', 'Inika', 'Irish Grover', 'Irish Growler', 'Istok Web', 'Italiana', 'Italianno', 'Jacques Francois', 'Jacques Francois Shadow', 'Jim Nightshade', 'Jockey One', 'Jolly Lodger', 'Josefin Sans', 'Josefin Sans Std Light', 'Josefin Slab', 'Joti One', 'Judson', 'Julee', 'Julius Sans One', 'Junge', 'Jura', 'Just Another Hand', 'Just Me Again Down Here', 'Kameron', 'Karla', 'Kaushan Script', 'Kavoon', 'Keania One', 'Kelly Slab', 'Kenia', 'Khmer', 'Kite One', 'Knewave', 'Kotta One', 'Koulen', 'Kranky', 'Kreon', 'Kristi', 'Krona One', 'La Belle Aurore', 'Lancelot', 'Lateef', 'Lato', 'League Script', 'Leckerli One', 'Ledger', 'Lekton', 'Lemon', 'Lemon One', 'Libre Baskerville', 'Life Savers', 'Lilita One', 'Lily Script One', 'Limelight', 'Linden Hill', 'Lobster', 'Lobster Two', 'Lohit Bengali', 'Lohit Devanagari', 'Lohit Tamil', 'Londrina Outline', 'Londrina Shadow', 'Londrina Sketch', 'Londrina Solid', 'Lora', 'Love Ya Like A Sister', 'Loved by the King', 'Lovers Quarrel', 'Luckiest Guy', 'Lusitana', 'Lustria', 'Macondo', 'Macondo Swash Caps', 'Magra', 'Maiden Orange', 'Mako', 'Marcellus', 'Marcellus SC', 'Marck Script', 'Margarine', 'Marko One', 'Marmelad', 'Marvel', 'Mate', 'Mate SC', 'Maven Pro', 'McLaren', 'Meddon', 'MedievalSharp', 'Medula One', 'Megrim', 'Meie Script', 'Merienda', 'Merienda One', 'Merriweather', 'Merriweather Sans', 'Metal', 'Metal Mania', 'Metamorphous', 'Metrophobic', 'Michroma', 'Milonga', 'Miltonian', 'Miltonian Tattoo', 'Miniver', 'Miss Fajardose', 'Miss Saint Delafield', 'Modern Antiqua', 'Molengo', 'Monda', 'Monofett', 'Monoton', 'Monsieur La Doulaise', 'Montaga', 'Montez', 'Montserrat', 'Montserrat Alternates', 'Montserrat Subrayada', 'Moul', 'Moulpali', 'Mountains of Christmas', 'Mouse Memoirs', 'Mr Bedford', 'Mr Bedfort', 'Mr Dafoe', 'Mr De Haviland', 'Mrs Saint Delafield', 'Mrs Sheppards', 'Muli', 'Mystery Quest', 'Neucha', 'Neuton', 'New Rocker', 'News Cycle', 'Niconne', 'Nixie One', 'Nobile', 'Nokora', 'Norican', 'Nosifer', 'Nosifer Caps', 'Nothing You Could Do', 'Noticia Text', 'Noto Sans', 'Noto Sans UI', 'Noto Serif', 'Nova Cut', 'Nova Flat', 'Nova Mono', 'Nova Oval', 'Nova Round', 'Nova Script', 'Nova Slim', 'Nova Square', 'Numans', 'Nunito', 'OFL Sorts Mill Goudy TT', 'Odor Mean Chey', 'Offside', 'Old Standard TT', 'Oldenburg', 'Oleo Script', 'Oleo Script Swash Caps', 'Open Sans', 'Oranienbaum', 'Orbitron', 'Oregano', 'Orienta', 'Original Surfer', 'Oswald', 'Over the Rainbow', 'Overlock', 'Overlock SC', 'Ovo', 'Oxygen', 'Oxygen Mono', 'PT Mono', 'PT Sans', 'PT Sans Caption', 'PT Sans Narrow', 'PT Serif', 'PT Serif Caption', 'Pacifico', 'Paprika', 'Parisienne', 'Passero One', 'Passion One', 'Pathway Gothic One', 'Patrick Hand', 'Patrick Hand SC', 'Patua One', 'Paytone One', 'Peralta', 'Permanent Marker', 'Petit Formal Script', 'Petrona', 'Philosopher', 'Piedra', 'Pinyon Script', 'Pirata One', 'Plaster', 'Play', 'Playball', 'Playfair Display', 'Playfair Display SC', 'Podkova', 'Poiret One', 'Poller One', 'Poly', 'Pompiere', 'Pontano Sans', 'Port Lligat Sans', 'Port Lligat Slab', 'Prata', 'Preahvihear', 'Press Start 2P', 'Princess Sofia', 'Prociono', 'Prosto One', 'Proxima Nova', 'Proxima Nova Tabular Figures', 'Puritan', 'Purple Purse', 'Quando', 'Quantico', 'Quattrocento', 'Quattrocento Sans', 'Questrial', 'Quicksand', 'Quintessential', 'Qwigley', 'Racing Sans One', 'Radley', 'Raleway', 'Raleway Dots', 'Rambla', 'Rammetto One', 'Ranchers', 'Rancho', 'Rationale', 'Redressed', 'Reenie Beanie', 'Revalia', 'Ribeye', 'Ribeye Marrow', 'Righteous', 'Risque', 'Roboto', 'Roboto Condensed', 'Roboto Slab', 'Rochester', 'Rock Salt', 'Rokkitt', 'Romanesco', 'Ropa Sans', 'Rosario', 'Rosarivo', 'Rouge Script', 'Ruda', 'Rufina', 'Ruge Boogie', 'Ruluko', 'Rum Raisin', 'Ruslan Display', 'Russo One', 'Ruthie', 'Rye', 'Sacramento', 'Sail', 'Salsa', 'Sanchez', 'Sancreek', 'Sansita One', 'Sans Serif', 'Sarina', 'Satisfy', 'Scada', 'Scheherazade', 'Schoolbell', 'Seaweed Script', 'Sevillana', 'Seymour One', 'Shadows Into Light', 'Shadows Into Light Two', 'Shanti', 'Share', 'Share Tech', 'Share Tech Mono', 'Shojumaru', 'Short Stack', 'Siamreap', 'Siemreap', 'Sigmar One', 'Signika', 'Signika Negative', 'Simonetta', 'Sintony', 'Sirin Stencil', 'Six Caps', 'Skranji', 'Slackey', 'Smokum', 'Smythe', 'Snippet', 'Snowburst One', 'Sofadi One', 'Sofia', 'Sonsie One', 'Sorts Mill Goudy', 'Source Code Pro', 'Source Sans Pro', 'Special Elite', 'Spicy Rice', 'Spinnaker', 'Spirax', 'Squada One', 'Stalemate', 'Stalin One', 'Stalinist One', 'Stardos Stencil', 'Stint Ultra Condensed', 'Stint Ultra Expanded', 'Stoke', 'Strait', 'Sue Ellen Francisco', 'Sunshiney', 'Supermercado One', 'Suwannaphum', 'Swanky and Moo Moo', 'Syncopate', 'Tahoma', 'Tangerine', 'Taprom', 'Tauri', 'Telex', 'Tenor Sans', 'Terminal Dosis', 'Terminal Dosis Light', 'Text Me One', 'Thabit', 'The Girl Next Door', 'Tienne', 'Tinos', 'Titan One', 'Titillium Web', 'Trade Winds', 'Trocchi', 'Trochut', 'Trykker', 'Tulpen One', 'Ubuntu', 'Ubuntu Condensed', 'Ubuntu Mono', 'Ultra', 'Uncial Antiqua', 'Underdog', 'Unica One', 'UnifrakturMaguntia', 'Unkempt', 'Unlock', 'Unna', 'VT323', 'Vampiro One', 'Varela', 'Varela Round', 'Vast Shadow', 'Vibur', 'Vidaloka', 'Viga', 'Voces', 'Volkhov', 'Vollkorn', 'Voltaire', 'Waiting for the Sunrise', 'Wallpoet', 'Walter Turncoat', 'Warnes', 'Wellfleet', 'Wendy One', 'Wire One', 'Yanone Kaffeesatz', 'Yellowtail', 'Yeseva One', 'Yesteryear', 'Zeyada', 'jsMath cmbx10', 'jsMath cmex10', 'jsMath cmmi10', 'jsMath cmr10', 'jsMath cmsy10', 'jsMath cmti10', 'Maracellus');

        // Pull all the categories into an array

        $options_categories = array();
        $options_categories_obj = get_categories();
        foreach ($options_categories_obj as $category) {
            $options_categories[$category->cat_name] = $category->cat_name;
        }

        //Options Categories 
        // Pull all the pages into an array
        $options_pages = array();
        $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
        $options_pages[''] = 'Select a page:';
        foreach ($options_pages_obj as $page) {
            $options_pages[$page->ID] = $page->post_title;
        }
        // If using image radio buttons, define a directory path
        $imagepath = get_template_directory_uri() . '/images/';

        $options = array();

        $taxonomy = 'product_cat';
        $orderby = 'name';
        $show_count = 0;      // 1 for yes, 0 for no
        $pad_counts = 0;      // 1 for yes, 0 for no
        $hierarchical = 1;      // 1 for yes, 0 for no  
        $title = '';
        $empty = 0;

        $args = array(
            'taxonomy' => $taxonomy,
            'orderby' => $orderby,
            'show_count' => $show_count,
            'pad_counts' => $pad_counts,
            'hierarchical' => $hierarchical,
            'title_li' => $title,
            'hide_empty' => $empty
        );
        $all_categories = get_categories($args);
        $pcat_name = array();

        foreach ($all_categories as $cat) {
            if ($cat->category_parent == 0) {
                $category_id = $cat->term_id;
                $pcat_name[$category_id] = $cat->name;
//         array_push($pcat_name, $cat->name);


                $args2 = array(
                    'taxonomy' => $taxonomy,
                    'child_of' => 0,
                    'parent' => $category_id,
                    'orderby' => $orderby,
                    'show_count' => $show_count,
                    'pad_counts' => $pad_counts,
                    'hierarchical' => $hierarchical,
                    'title_li' => $title,
                    'hide_empty' => $empty
                );
                $sub_cats = get_categories($args2);

                if ($sub_cats) {

                    foreach ($sub_cats as $sub_category) {

                        array_push($pcat_name, $sub_category->name);
                    }
                }
            }
        }

        $theme_settings = array(
            'andrina_logo' => array(
                'id' => 'andrina_options[andrina_logo]',
                'label' => __('Custom Logo', 'andrina-lite'),
                'description' => __('Upload a logo for your Website. The recommended size for the Logo is 215px width x 55px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/andrina-logo.png'
            ),
            'andrina_hp_animation_on_off' => array(
                'id' => 'andrina_options[andrina_hp_animation_on_off]',
                'label' => __('Home Page Loading Animation', 'andrina-lite'),
                'description' => __('Homepage loading animation on/off', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => array(
                    "on" => "On",
                    "off" => "Off")
            ),
            'typography_logo_family' => array(
                'id' => 'andrina_options[typography_logo_family]',
                'label' => __('Logo Font Family', 'andrina-lite'),
                'description' => __('Allows you to set Font Family For Logo.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'Sans Serif',
                'choices' => $font_family
            ),
            'typography_nav_family' => array(
                'id' => 'andrina_options[typography_nav_family]',
                'label' => __('Body Font Family', 'andrina-lite'),
                'description' => __('Allows you to set Font Family For Body.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'Sans Serif',
                'choices' => $font_family
            ),
            'andrina_analytics' => array(
                'id' => 'andrina_options[andrina_analytics]',
                'label' => __('Tracking Code', 'andrina-lite'),
                'description' => __("Go to <a href='http://www.google.co.in/analytics/'>http://www.google.co.in/analytics/</a> and create an account by mentioning the details of your website and get a tracking code which you can paste here to track your website statistics regularly.", 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => '',
            ),
            'andrina_contact_captcha' => array(
                'id' => 'andrina_options[andrina_contact_captcha]',
                'label' => __('Captcha On/Off', 'andrina-lite'),
                'description' => __('Choose the option to on/off captcha field on Contact Template', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => array(
                    "on" => "On",
                    "off" => "Off")
            ),
            'andrina_captcha_site_key' => array(
                'id' => 'andrina_options[andrina_captcha_site_key]',
                'label' => __('Captcha Site Key', 'andrina-lite'),
                'description' => __("Enter the google recaptcha site key or public key here. If you didn't have site key, go to <a href='https://www.google.com/recaptcha/intro/index.html'>https://www.google.com/recaptcha/intro/index.html</a> to generate new one.", 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_captcha_secret_key' => array(
                'id' => 'andrina_options[andrina_captcha_secret_key]',
                'label' => __('Captcha Secret Key', 'andrina-lite'),
                'description' => __("Enter the google recaptcha Secret key or private key here. If you didn't have site key, go to <a href='https://www.google.com/recaptcha/intro/index.html'>https://www.google.com/recaptcha/intro/index.html</a> to generate new one.", 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slide_speed' => array(
                'id' => 'andrina_options[andrina_slide_speed]',
                'label' => __('Slider Speed', 'andrina-lite'),
                'description' => __('Set the speed of the slider in milliseconds. For e.g. if you want to set the speed of the slider for 8 seconds then enter 8000 in the field or if you want to set the slider speed for 2.5 seconds then enter 2500 in the field.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_caption_animation' => array(
                'id' => 'andrina_options[andrina_slider_caption_animation]',
                'label' => __('Slider Caption Area Animation', 'andrina-lite'),
                'description' => __('Choose animation for the Caption Area.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'bounceInUp'
            ),
            'andrina_caption_heading_animation' => array(
                'id' => 'andrina_options[andrina_caption_heading_animation]',
                'label' => __('Slider Caption Heading Animation', 'andrina-lite'),
                'description' => __('Choose animation for the Caption Heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'fadeInRight'
            ),
            'andrina_caption_subheading_animation' => array(
                'id' => 'andrina_options[andrina_caption_subheading_animation]',
                'label' => __('Slider Caption Sub Heading Animation', 'andrina-lite'),
                'description' => __('Choose animation for the Caption Sub Heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'swing'
            ),
            'andrina_caption_desc_animation' => array(
                'id' => 'andrina_options[andrina_caption_desc_animation]',
                'label' => __('Slider Caption Description Animation', 'andrina-lite'),
                'description' => __('Choose animation for the Caption Description.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'wobble'
            ),
            'andrina_caption_button_animation' => array(
                'id' => 'andrina_options[andrina_caption_button_animation]',
                'label' => __('Slider Caption Button Animation', 'andrina-lite'),
                'description' => __('Choose animation for the Caption Button.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'fadeInRight'
            ),
            'andrina_slideimage1' => array(
                'id' => 'andrina_options[andrina_slideimage1]',
                'label' => __('First Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your Homepage First Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading1' => array(
                'id' => 'andrina_options[andrina_slider_heading1]',
                'label' => __('First Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for Homepage First slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading1' => array(
                'id' => 'andrina_options[andrina_slider_subheading1]',
                'label' => __('First Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for Homepage First slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext1' => array(
                'id' => 'andrina_options[andrina_Slider_btntext1]',
                'label' => __('Button Text for First slider', 'andrina-lite'),
                'description' => __('Mention the button text for First Image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link1' => array(
                'id' => 'andrina_options[andrina_Slider_link1]',
                'label' => __('First Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for HomePage First Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des1' => array(
                'id' => 'andrina_options[andrina_slider_des1]',
                'label' => __('First Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for HomePage First Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_slideimage2' => array(
                'id' => 'andrina_options[andrina_slideimage2]',
                'label' => __('Second Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your HomePage Second Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading2' => array(
                'id' => 'andrina_options[andrina_slider_heading2]',
                'label' => __('Second Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for HomePage Second Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading2' => array(
                'id' => 'andrina_options[andrina_slider_subheading2]',
                'label' => __('Second Slider subHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for HomePage Second Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext2' => array(
                'id' => 'andrina_options[andrina_Slider_btntext2]',
                'label' => __('Button Text for Second slider', 'andrina-lite'),
                'description' => __('Mention the button text for Second Image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link2' => array(
                'id' => 'andrina_options[andrina_Slider_link2]',
                'label' => __('Second Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for HomePage Second Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des2' => array(
                'id' => 'andrina_options[andrina_slider_des2]',
                'label' => __('Seocnd Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for HomePage Second Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_slideimage3' => array(
                'id' => 'andrina_options[andrina_slideimage3]',
                'label' => __('Third Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your Homepage Third Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading3' => array(
                'id' => 'andrina_options[andrina_slider_heading3]',
                'label' => __('Third Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for HomePage Third Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading3' => array(
                'id' => 'andrina_options[andrina_slider_subheading3]',
                'label' => __('Third Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for HomePage Third Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext3' => array(
                'id' => 'andrina_options[andrina_Slider_btntext3]',
                'label' => __('Button Text for Third slider', 'andrina-lite'),
                'description' => __('Mention the button text for Third Image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link3' => array(
                'id' => 'andrina_options[andrina_Slider_link3]',
                'label' => __('Third Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for HomePage Third Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des3' => array(
                'id' => 'andrina_options[andrina_slider_des3]',
                'label' => __('Third Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for HomePage Third Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_image4' => array(
                'id' => 'andrina_options[andrina_image4]',
                'label' => __('Fourth Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your Homepage Fourth Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading4' => array(
                'id' => 'andrina_options[andrina_slider_heading4]',
                'label' => __('Fourth Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for Homepage Fourth slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading4' => array(
                'id' => 'andrina_options[andrina_slider_subheading4]',
                'label' => __('Fourth Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for Homepage Fourth slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext4' => array(
                'id' => 'andrina_options[andrina_Slider_btntext4]',
                'label' => __('Button Text for Fourth slider', 'andrina-lite'),
                'description' => __('Mention the button text for Fourth Image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link4' => array(
                'id' => 'andrina_options[andrina_Slider_link4]',
                'label' => __('Fourth Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for HomePage Fourth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des4' => array(
                'id' => 'andrina_options[andrina_slider_des4]',
                'label' => __('Fourth Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for HomePage Fourth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_image5' => array(
                'id' => 'andrina_options[andrina_image5]',
                'label' => __('Fifth Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your HomePage Fifth Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading5' => array(
                'id' => 'andrina_options[andrina_slider_heading5]',
                'label' => __('Fifth Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for HomePage Fifth slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading5' => array(
                'id' => 'andrina_options[andrina_slider_subheading5]',
                'label' => __('Fifth Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for HomePage Fifth slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext5' => array(
                'id' => 'andrina_options[andrina_Slider_btntext5]',
                'label' => __('Button Text for Fifth slider', 'andrina-lite'),
                'description' => __('Mention the button text for Fifth Image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link5' => array(
                'id' => 'andrina_options[andrina_Slider_link5]',
                'label' => __('Fifth Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for HomePage Fifth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des5' => array(
                'id' => 'andrina_options[andrina_slider_des5]',
                'label' => __('Fifth Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for HomePage Fifth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_image6' => array(
                'id' => 'andrina_options[andrina_image6]',
                'label' => __('Sixth Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your HomePage Sixth Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading6' => array(
                'id' => 'andrina_options[andrina_slider_heading6]',
                'label' => __('Sixth Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for HomePage Sixth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading6' => array(
                'id' => 'andrina_options[andrina_slider_subheading6]',
                'label' => __('Sixth Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for HomePage Sixth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext6' => array(
                'id' => 'andrina_options[andrina_Slider_btntext6]',
                'label' => __('Button Text for Sixth slider', 'andrina-lite'),
                'description' => __('Mention the button text for Sixth Image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link6' => array(
                'id' => 'andrina_options[andrina_Slider_link6]',
                'label' => __('Sixth Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for HomePage Sixth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des6' => array(
                'id' => 'andrina_options[andrina_slider_des6]',
                'label' => __('Sixth Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for HomePage Sixth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_contact_no' => array(
                'id' => 'andrina_options[andrina_contact_no]',
                'label' => __('Contact Number', 'andrina-lite'),
                'description' => __('Mention the contact number here through which the visitors can contact you.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_email_add' => array(
                'id' => 'andrina_options[andrina_email_add]',
                'label' => __('Email Address', 'andrina-lite'),
                'description' => __('Mention the Email id here through which user can send you Mails.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'home_shop_section' => array(
                'id' => 'andrina_options[home_shop_section]',
                'label' => __('Shop Section On/Off', 'andrina-lite'),
                'description' => __('Check on for enabling or disabling shop section on HomePage.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => array(
                    'on' => 'On',
                    'off' => 'Off'
                )
            ),
            'andrina_home_shop_section_heading' => array(
                'id' => 'andrina_options[andrina_home_shop_section_heading]',
                'label' => __('Home Page Shop Section Heading', 'andrina-lite'),
                'description' => __('Enter your heading for HomePage Shop Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_home_shop_category' => array(
                'id' => 'andrina_options[andrina_home_shop_category]',
                'label' => __('HomePage Shop Product Category', 'andrina-lite'),
                'description' => __('Enter the name of the category, if you want to display particular category products, else leave it blank. It will display all products', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => '',
                'choices' => $pcat_name
            ),
            'andrina_home_shop_product_column' => array(
                'id' => 'andrina_options[andrina_home_shop_product_column]',
                'label' => __('Home Page Shop Product Column Number', 'andrina-lite'),
                'description' => __('Enter the number of columns for products. Whether you want to display your products in 3 columns, 4 columns or anyother Ex: 3,4 etc', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_home_shop_product_number' => array(
                'id' => 'andrina_options[andrina_home_shop_product_number]',
                'label' => __('Home Page Shop Product Number', 'andrina-lite'),
                'description' => __('Enter the number of products you want to display Ex: 3,4,6,8,9 etc', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_feature_chk' => array(
                'id' => 'andrina_options[andrina_feature_chk]',
                'label' => __('Show Feature Section On/Off', 'andrina-lite'),
                'description' => __('Check on for enabling or disabling Feature Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => array(
                    'on' => 'On',
                    'off' => 'Off'
                )
            ),
            'andrina_feature_img1' => array(
                'id' => 'andrina_options[andrina_feature_img1]',
                'label' => __('First Feature Image', 'andrina-lite'),
                'description' => __('Upload the image for the First column. Specified size is 213px width x 143px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_f_head1' => array(
                'id' => 'andrina_options[andrina_f_head1]',
                'label' => __('First Feature Heading', 'andrina-lite'),
                'description' => __('Here mention the heading for the First Column.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_f_des1' => array(
                'id' => 'andrina_options[andrina_f_des1]',
                'label' => __('First Feature Description', 'andrina-lite'),
                'description' => __('Mention the short description for the First Column heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_link1' => array(
                'id' => 'andrina_options[andrina_link1]',
                'label' => __('First feature Link', 'andrina-lite'),
                'description' => __('Mention the URL here to link the Image to any pages.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'andrina_feature_img2' => array(
                'id' => 'andrina_options[andrina_feature_img2]',
                'label' => __('Second Feature Image', 'andrina-lite'),
                'description' => __('Upload the Image for the Second column. Specified size is 213px width x 143px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_f_head2' => array(
                'id' => 'andrina_options[andrina_f_head2]',
                'label' => __('Second Feature Heading', 'andrina-lite'),
                'description' => __('Here mention the heading for the Second Column.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_f_des2' => array(
                'id' => 'andrina_options[andrina_f_des2]',
                'label' => __('Second Feature Description', 'andrina-lite'),
                'description' => __('Mention the short description for the Second Column Heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_link2' => array(
                'id' => 'andrina_options[andrina_link2]',
                'label' => __('Second feature Link', 'andrina-lite'),
                'description' => __('Mention the URL here to link the Image to any pages.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'andrina_feature_img3' => array(
                'id' => 'andrina_options[andrina_feature_img3]',
                'label' => __('Third Feature Image', 'andrina-lite'),
                'description' => __('Upload the image for the Third Column. Specified size is 213px width x 143px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_f_head3' => array(
                'id' => 'andrina_options[andrina_f_head3]',
                'label' => __('Third Feature Heading', 'andrina-lite'),
                'description' => __('Here mention the heading for the Thrid Column.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_f_des3' => array(
                'id' => 'andrina_options[andrina_f_des3]',
                'label' => __('Third Feature Description', 'andrina-lite'),
                'description' => __('Mention the short description for the Thrid Column Heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_link3' => array(
                'id' => 'andrina_options[andrina_link3]',
                'label' => __('Third feature Link', 'andrina-lite'),
                'description' => __('Mention the URL here to link the Image to any pages.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'andrina_feature_img4' => array(
                'id' => 'andrina_options[andrina_feature_img4]',
                'label' => __('Fourth Feature Image', 'andrina-lite'),
                'description' => __('Upload the image for the Second Column. Specified size is 213px width x 143px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_f_head4' => array(
                'id' => 'andrina_options[andrina_f_head4]',
                'label' => __('Fourth Feature Heading', 'andrina-lite'),
                'description' => __('Here mention the heading for the Fourth Column.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_f_des4' => array(
                'id' => 'andrina_options[andrina_f_des4]',
                'label' => __('Fourth Feature Description', 'andrina-lite'),
                'description' => __('Mention the short description for the Fourth Column Heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_link4' => array(
                'id' => 'andrina_options[andrina_link4]',
                'label' => __('Fourth feature Link', 'andrina-lite'),
                'description' => __('Mention the URL here to link the Image to any pages.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'andrina_add_feature_box' => array(
                'id' => 'andrina_options[andrina_add_feature_box]',
                'label' => __('Add Feature Box', 'andrina-lite'),
                'description' => __("Enter your Feature Box shortcode to add another feature box. <br/> Ex: <p class='s_code'>[add_feature_box featureimg = 'PATH TO THE IMAGE' featuretitle = 'TITLE OF YOUR FEATURE' featuredesc = 'DESC OF YOUR FEATURE' featurelink = 'LINK OF YOUR FEATURE']</p><br /> You can also add multiple shortcodes separated by ',' (comma) to generate more Feature Box", 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_fir_seco_blg_chk' => array(
                'id' => 'andrina_options[andrina_fir_seco_blg_chk]',
                'label' => __('Show First & Second Blog Section On/Off', 'andrina-lite'),
                'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over First & Second Blog Section!</h3> Check on for enabling or disabling First & Second Blog Section.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $onoff_switch,
            ),
            'blog_head_1' => array(
                'id' => 'andrina_options[blog_head_1]',
                'label' => __('Home Page First Blog Heading', 'andrina-lite'),
                'description' => __('Enter the Heading of First Blog.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'bolg_first_category' => array(
                'id' => 'andrina_options[bolg_first_category]',
                'label' => __('Home Page First Blog Category.( Left Side )', 'andrina-lite'),
                'description' => __('Select the category to show on Homepage Blog Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $options_categories,
                'default' => ''
            ),
            'first_blogs_quan' => array(
                'id' => 'andrina_options[first_blogs_quan]',
                'label' => __('First Blogs Section Post Quantity', 'andrina-lite'),
                'description' => __('Enter the number of post which you want to show on First Blog Section. Eg. 3,4,5,6... (minimum quantity = 2).', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'blog_head_2' => array(
                'id' => 'andrina_options[blog_head_2]',
                'label' => __('Home Page Second Blog Heading', 'andrina-lite'),
                'description' => __('Enter the Heading of Second Blog.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'bolg_category_1' => array(
                'id' => 'andrina_options[bolg_category_1]',
                'label' => __('Home Page Second Blog Category. ( Right Side )', 'andrina-lite'),
                'description' => __('Select the category to show on Homepage Blog Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $options_categories,
                'default' => ''
            ),
            'andrina_third_blg_chk' => array(
                'id' => 'andrina_options[andrina_third_blg_chk]',
                'label' => __('Show Third Blog Section On/Off', 'andrina-lite'),
                'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Third Blog Sectionn!</h3> Check on for enabling or disabling Third Blog Section.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $onoff_switch,
            ),
            'blog_head_3' => array(
                'id' => 'andrina_options[blog_head_3]',
                'label' => __('Home Page Third Blog Heading', 'andrina-lite'),
                'description' => __('Enter the Heading of Third Blog.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'bolg_category_2' => array(
                'id' => 'andrina_options[bolg_category_2]',
                'label' => __('Home Page Third Blog Category.( Left Side )', 'andrina-lite'),
                'description' => __('Select the category to show on Homepage Blog Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $options_categories,
                'default' => ''
            ),
            'third_blogs_quan' => array(
                'id' => 'andrina_options[third_blogs_quan]',
                'label' => __('Third Blogs Section Post Quantity', 'andrina-lite'),
                'description' => __('Enter the number of post which you want to show on Third Blog Section. Eg. 3,4,5,6... (minimum quantity = 2).', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_fourth_blg_chk' => array(
                'id' => 'andrina_options[andrina_fourth_blg_chk]',
                'label' => __('Show Fourth Blog Section On/Off', 'andrina-lite'),
                'description' => __("<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Fourth Blog Section!</h3> Check on for enabling or disabling Fourth Blog Section.", 'andrina-lite'), esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => array(
                    "on" => "On",
                    "off" => "Off")
            ),
            'blog_head_4' => array(
                'id' => 'andrina_options[blog_head_4]',
                'label' => __('Home Page Fourth Blog Heading', 'andrina-lite'),
                'description' => __('Enter the Heading of Fourth Blog.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'bolg_category_3' => array(
                'id' => 'andrina_options[bolg_category_3]',
                'label' => __('Home Page Fourth Blog Category.( Left Side )', 'andrina-lite'),
                'description' => __('Select the category to show on Homepage Blog Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $options_categories,
                'default' => ''
            ),
            'fourth_blogs_quan' => array(
                'id' => 'andrina_options[fourth_blogs_quan]',
                'label' => __('Fourth Blogs Section Post Quantity', 'andrina-lite'),
                'description' => __('Enter the number of post which you want to show on Fourth Blog Section. Eg. 3,4,5,6... (minimum quantity = 2).', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'social_icon_1' => array(
                'id' => 'andrina_options[social_icon_1]',
                'label' => __('Social Icon 1', 'andrina-lite'),
                'description' => __('Choose the Social Icon from below Dropdown List.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'facebook',
                'choices' => $social_icons
            ),
            'social_link_1' => array(
                'id' => 'andrina_options[social_link_1]',
                'label' => __('Social Link 1', 'andrina-lite'),
                'description' => __('Quickly add link to your Social icon.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'social_icon_2' => array(
                'id' => 'andrina_options[social_icon_2]',
                'label' => __('Social Icon 2', 'andrina-lite'),
                'description' => __('Choose the Social Icon from below Dropdown List.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'twitter',
                'choices' => $social_icons
            ),
            'social_link_2' => array(
                'id' => 'andrina_options[social_link_2]',
                'label' => __('Social Link 2', 'andrina-lite'),
                'description' => __('Quickly add link to your Social icon.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'social_icon_3' => array(
                'id' => 'andrina_options[social_icon_3]',
                'label' => __('Social Icon 3', 'andrina-lite'),
                'description' => __('Choose the Social Icon from below Dropdown List.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'google-plus',
                'choices' => $social_icons
            ),
            'social_link_3' => array(
                'id' => 'andrina_options[social_link_3]',
                'label' => __('Social Link 3', 'andrina-lite'),
                'description' => __('Quickly add link to your Social icon.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'social_icon_4' => array(
                'id' => 'andrina_options[social_icon_4]',
                'label' => __('Social Icon 4', 'andrina-lite'),
                'description' => __('Choose the Social Icon from below Dropdown List.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'linkedin',
                'choices' => $social_icons
            ),
            'social_link_4' => array(
                'id' => 'andrina_options[social_link_4]',
                'label' => __('Social Link 4', 'andrina-lite'),
                'description' => __('Quickly add link to your Social icon.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_altstylesheet' => array(
                'id' => 'andrina_options[andrina_altstylesheet]',
                'label' => __('Theme Stylesheet', 'andrina-lite'),
                'description' => __('Select the color of the theme from different available colors.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $alt_stylesheets,
                'default' => 'black'
            ),
            'andrina_lanstylesheet' => array(
                'id' => 'andrina_options[andrina_lanstylesheet]',
                'label' => __('Theme Language', 'andrina-lite'),
                'description' => __('By default the theme content displays from left to right which you can change to right to left i.e. switching it to RTL.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $lan_stylesheets,
                'default' => 'Default'
            ),
            'andrina_keyword' => array(
                'id' => 'inkthemes_altstylesheet[andrina_keyword]',
                'label' => __('Meta Keywords (comma separated)', 'andrina-lite'),
                'description' => __('Meta keywords provide search engines with additional information about topics that appear on your site. This only applies to your home page. Keyword Limit Maximum 8', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_description' => array(
                'id' => 'andrina_options[andrina_description]',
                'label' => __('Meta Description', 'andrina-lite'),
                'description' => __('You should use meta descriptions to provide search engines with additional information about topics that appear on your site. This only applies to your home page.Optimal Length for Search Engines, Roughly 155 Characters', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_author' => array(
                'id' => 'inkthemes_altstylesheet[andrina_author]',
                'label' => __('Meta Author Name', 'andrina-lite'),
                'description' => __('You should write the full name of the author here. This only applies to your HomePage.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_footertext' => array(
                'id' => 'andrina_options[andrina_footertext]',
                'label' => __('Footer Text', 'andrina-lite'),
                'description' => __('Write the text here that will be displayed on the footer i.e. at the bottom of the Website.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => '',
            ),
            'footer_widget_on_off' => array(
                'id' => 'andrina_options[footer_widget_on_off]',
                'label' => __('Footer Widget On/Off', 'andrina-lite'),
                'description' => __('Check on for enabling or disabling Footer Widget.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $onoff_switch
            ),
        );
        return $theme_settings;
    }

    public static function inkthemes_Controls($wp_customize) {
        $sections = self::inkthemes_Section_Content();
        $settings = self::inkthemes_Settings();
        /*
         * Begin: Calling Selective refresh function for each settings.
         */
        foreach ($settings as $k => $v) {
            $wp_customize->selective_refresh->add_partial($v['id'], array(
                'selector' => '.' . $k,
            ));
        }
        /*
         * End: Calling Selective refresh function for each settings.
         */
        foreach ($sections as $section_id => $section_content) {
            foreach ($section_content as $section_content_id) {
                switch ($settings[$section_content_id]['setting_type']) {
                    case 'image':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');
                        $wp_customize->add_control(new WP_Customize_Image_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                                )
                        ));
                        break;

                    case 'text':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_text');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'textarea':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_textarea');



                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;

                    case 'link':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'color':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_color');

                        $wp_customize->add_control(new WP_Customize_Color_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'number':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_number');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'select':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_select');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'select',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    case 'radio':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_radio');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'radio',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    default:
                        break;
                }
            }
        }
    }

    public static function add_setting($wp_customize, $setting_id, $default, $type, $sanitize_callback) {
        $wp_customize->add_setting($setting_id, array(
            'default' => $default,
            'capability' => 'edit_theme_options',
            'sanitize_callback' => array('inkthemes_Customizer', $sanitize_callback),
            'type' => $type
                )
        );
    }

    /**
     * adds sanitization callback funtion : textarea
     * @package inkthemes
     */
    public static function inkthemes_sanitize_textarea($value) {
        $value = esc_html($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : url
     * @package inkthemes
     */
    public static function inkthemes_sanitize_url($value) {
        $value = esc_url($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : text
     * @package inkthemes
     */
    public static function inkthemes_sanitize_text($value) {
        $value = sanitize_text_field($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : email
     * @package inkthemes
     */
    public static function inkthemes_sanitize_email($value) {
        $value = sanitize_email($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_number($value) {
        $value = preg_replace("/[^0-9+ ]/", "", $value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_color($value) {
        $value = sanitize_hex_color($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : select
     * @package inkthemes
     */
    public static function inkthemes_sanitize_select($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

    /**
     * adds sanitization callback funtion : radio
     * @package inkthemes
     */
    public static function inkthemes_sanitize_radio($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

}

// Setup the Theme Customizer settings and controls...
add_action('customize_register', array('inkthemes_Customizer', 'inkthemes_Register'));

function inkthemes_registers() {
    wp_register_script('inkthemes_jquery_ui', '//code.jquery.com/ui/1.11.0/jquery-ui.js', array("jquery"), true);
    wp_register_script('inkthemes_customizer_script1', get_template_directory_uri() . '/includes/js/inkthemes_customizer.js', array("jquery", "inkthemes_jquery_ui"), true);
    wp_enqueue_script('inkthemes_customizer_script1');
    wp_localize_script('inkthemes_customizer_script1', 'ink_advert', array(
        'pro' => __('View PRO version', 'andrina-lite'),
        'url' => esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
        'support_text' => __('Need Help!', 'andrina-lite'),
        'support_url' => esc_url('https://www.inkthemes.com/contact-us/')
            )
    );
}

add_action('customize_controls_enqueue_scripts', 'inkthemes_registers');

function andrina_panels_js() {

    wp_enqueue_style('fontawesome', ANDRINA_DIR_URI . "assets/font-awesome/css/font-awesome.css", '', '', 'all');
}

add_action('customize_controls_enqueue_scripts', 'andrina_panels_js');

function andrina_customize_register($wp_customize) {

    $wp_customize->get_setting('blogname')->transport = 'postMessage';
    $wp_customize->get_setting('blogdescription')->transport = 'postMessage';

    $wp_customize->selective_refresh->add_partial('blogname', array(
        'selector' => '.site-title a',
        'render_callback' => 'andrina_customize_partial_blogname',
    ));
    $wp_customize->selective_refresh->add_partial('blogdescription', array(
        'selector' => '.site-description',
        'render_callback' => 'andrina_customize_partial_blogdescription',
    ));

    /*
     * Settings for copyright text
     */
}

add_action('customize_register', 'andrina_customize_register');

function check_copy_right_text() {
    echo andrina_get_option('andrina_footertext');
}

/**
 * Render the site title for the selective refresh partial.
 */
function andrina_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 */
function andrina_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

// Enqueue our scripts and styles
function andrina_customize_controls_scripts() {

    wp_enqueue_script('andrina-customize-controls', get_theme_file_uri('/includes/customizer_assets/customize-controls.js'), array(), '1.0', true);
}

add_action('customize_controls_enqueue_scripts', 'andrina_customize_controls_scripts');

function andrina_customize_controls_styles() {

    wp_enqueue_style('andrina-customize-controls', get_theme_file_uri('/includes/customizer_assets/customize-controls.css'), array(), '1.0');
}

add_action('customize_controls_print_styles', 'andrina_customize_controls_styles');