<?php
/**
 * Lite Manager
 *
 * @package andrina-lite
 * @since 1.0.12
 */

/**
 * About page class
 */
require_once get_template_directory() . '/ti-notifications/ti-about-page/class-inkthemes-about-page.php';

/*
* About page instance
*/
$config = array(
	// Menu name under Appearance.
	'menu_name'           => apply_filters( 'andrina_about_page_filter', __( 'About andrina', 'andrina-lite' ), 'menu_name' ),
	// Page title.
	'page_name'           => apply_filters( 'andrina_about_page_filter', __( 'About andrina', 'andrina-lite' ), 'page_name' ),
	// Main welcome title
	/* translators: s - theme name */
	'welcome_title'       => apply_filters( 'andrina_about_page_filter', sprintf( __( 'Welcome to %s !', 'andrina-lite' ), 'Andrina Lite' ), 'welcome_title' ),
	// Main welcome content
	'welcome_content'     => apply_filters( 'andrina_about_page_filter', esc_html__( 'Andrina is an elegant and beautiful WordPress theme with easy customization options built by InkThemes.com. Front-end customization is a unique functionality of Andrina so that user can quickly make changes from the left sidebar menu and see the changes in real time. It has different sliders and custom logo options using which one can design his website homepage with unique business logo and attractive images. Multiple social icons, color customization, background images, blog designing and other styling features make this theme free theme stand out from others. The theme can be used for all kind professional as well as personal websites. ', 'andrina-lite' ), 'welcome_content' ),
	/**
	 * Tabs array.
	 *
	 * The key needs to be ONLY consisted from letters and underscores. If we want to define outside the class a function to render the tab,
	 * the will be the name of the function which will be used to render the tab content.
	 */
	'tabs'                => array(
		'getting_started'     => __( 'Getting Started', 'andrina-lite' ),
		'support'             => __( 'Support', 'andrina-lite' ),
		'changelog'           => __( 'Changelog', 'andrina-lite' ),
		'free_pro'            => __( 'Free vs Paid', 'andrina-lite' ),
	),
	// Support content tab.
	'support_content'     => array(
		'first'  => array(
			'title'        => esc_html__( 'Contact Support', 'andrina-lite' ),
//			'icon'         => 'dashicons dashicons-sos',
			'text'         => esc_html__( 'Our support staff is always dedicated to hold your website up and running without any glitch. If you need any kind help while creating a website with Andrina you can contact us via our conatct form.', 'andrina-lite' ),
			'button_label' => esc_html__( 'Contact Us', 'andrina-lite' ),
			'button_link'  => esc_url( 'https://www.inkthemes.com/contact-us/' ),
			'is_button'    => true,
			'is_new_tab'   => true,
		),
		'second' => array(
			'title'        => esc_html__( 'Support', 'andrina-lite' ),
//			'icon'         => 'dashicons dashicons-book-alt',
			'text'         => esc_html__( 'Checkout our support forum for more help.', 'andrina-lite' ),
			'button_label' => esc_html__( 'Support Forum', 'andrina-lite' ),
			'button_link'  => 'https://wordpress.org/support/theme/andrina-lite',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'third'  => array(
			'title'        => esc_html__( 'Changelog', 'andrina-lite' ),
//			'icon'         => 'dashicons dashicons-portfolio',
			'text'         => esc_html__( 'We keep a track and manitain all the records of our enhanced features or latest versions of theme in the Changelog. You can find all those changes and uodated anytime in our Changelog.', 'andrina-lite' ),
			'button_label' => esc_html__( 'Changelog', 'andrina-lite' ),
			'button_link'  => esc_url( admin_url( 'themes.php?page=andrina-lite-welcome&tab=changelog&show=yes' ) ),
			'is_button'    => false,
			'is_new_tab'   => false,
		),

	),
	// Getting started tab
	'getting_started'     => array(
            	'First'  => array(
			'title'               => esc_html__( 'Go to Customizer & Start Designing Your Website', 'andrina-lite' ),
			'text'                => esc_html__( 'Create your business website instantly with Andrina WordPress Theme. With our front end customizer, design the theme as per your requirement and see the changes in real time.', 'andrina-lite' ),
			'button_label'        => esc_html__( 'Go to the Customizer', 'andrina-lite' ),
			'button_link'         => esc_url( admin_url( 'customize.php' ) ),
			'is_button'           => true,
			'recommended_actions' => false,
			'is_new_tab'          => true,
		),
		'second' => array(
			'title'               => esc_html__( 'Andrina Theme - Full Documentation', 'andrina-lite' ),
			'text'                => esc_html__( 'Read full documentation of Andrina Pro WordPress Theme. In case any issue, you can go to the community forum of InkThemes and get instant solution to your queries.', 'andrina-lite' ),
			'button_label'        => esc_html__( 'View Andrina Pro Documentation', 'andrina-lite' ),
			'button_link'         => 'https://www.inkthemes.com/how-to-create-an-online-clothing-store-with-wordpress-theme/',
			'is_button'           => false,
			'recommended_actions' => false,
			'is_new_tab'          => true,
		),
            	'Third'  => array(
			'title'               => esc_html__( 'Upgrade To Andrina WordPress Theme [Pro]', 'andrina-lite' ),
			'text'                => esc_html__( 'Make a move to Andrina Pro. Get WooCommerce, Advance CSS, Mobile friendliness and more when you switch from basic to advance.', 'andrina-lite' ),
			'button_label'        => esc_html__( 'View Pro Features', 'andrina-lite' ),
			'button_link'         => 'https://www.inkthemes.com/market/fashion-wordpress-theme/',
			'is_button'           => false,
			'recommended_actions' => true,
			'is_new_tab'          => false,
		),

//            	'fourth'  => array(
//			'title'               => esc_html__( 'Go to Inkthemes Website', 'andrina-lite' ),
//			'text'                => esc_html__( 'Create your business website instantly with Andrina WordPress Theme. With our front end customizer, design the theme as per your requirement and see the changes in real time.', 'andrina-lite' ),
//			'button_label'        => esc_html__( 'Go to Inkthemes.com', 'andrina-lite' ),
//			'button_link'         => 'https://www.inkthemes.com/',
//			'is_button'           => false,
//			'recommended_actions' => false,
//			'is_new_tab'          => true,
//		),
	),
	// Free vs PRO array.
	'free_pro'            => array(
		'free_theme_name'     => 'Andrina Lite',
		'pro_theme_name'      => 'Andrina Pro',
		'pro_theme_link'      => 'https://www.inkthemes.com/market/fashion-wordpress-theme/',
		/* translators: s - theme name */
		'get_pro_theme_label' => sprintf( __( 'Get %s now!', 'andrina-lite' ), 'Andrina Pro' ),
		'banner_link'         => 'https://www.inkthemes.com/doc/andrina-wordpress-theme-documentation/',
		'banner_src'          => get_template_directory_uri() . '/assets/images/feature-image.png',
		'features'            => array(
			array(
				'title'       => __( 'Live Customizer', 'andrina-lite' ),
				'description' => __( 'Visible Editing Shortcuts For HomePage Elements. Now, edit the content directly by clicking the edit icon on homepage elements.', 'andrina-lite' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
                        array(
				'title'       => __( 'Mobile Friendly', 'andrina-lite' ),
				'description' => __( 'Responsive layout. Works on every device.', 'andrina-lite' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
                        array(
				'title'       => __( 'Background mage', 'andrina-lite' ),
				'description' => __( 'You can use any Background image you want.', 'andrina-lite' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
                     	array(
				'title'       => __( 'Contact Form With Google reCaptcha', 'andrina-lite' ),
				'description' => __( 'Get Leads directly to your Inbox.', 'andrina-lite' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
                    	array(
				'title'       => __( 'Social Icons', 'andrina-lite' ),
				'description' => __( 'Add Social Icons for your Business website.', 'andrina-lite' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'WooCommerce & Shop Section', 'andrina-lite' ),
				'description' => __( 'Instantly create an e-commerce website to sell products online.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
					array(
				'title'       => __( 'Typography Section', 'andrina-lite' ),
				'description' => __( 'Make your Homepage more attractive with Typography.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			
			array(
				'title'       => __( 'Homepage Loading Animations', 'andrina-lite' ),
				'description' => __( 'Get more transitions or animation effects on your site Homepage.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Google Analytics Tracking Code', 'andrina-lite' ),
				'description' => __( 'Analyze and track the number of visitors on your website with Google Analytics.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),

			array(
				'title'       => __( 'Home Page Sliders', 'andrina-lite' ),
				'description' => __( 'Make your homepage more attractive with amazing sliders.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
                    	array(
				'title'       => __( 'Unlimited Feature Box', 'andrina-lite' ),
				'description' => __( 'Get a Unlimited Feature Box for your business website.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
		 	array(
				'title'       => __( 'Home Page Blog Sections On/Off', 'andrina-lite' ),
				'description' => __( 'You can Enable or Disable the blog Section.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
                    	array(
				'title'       => __( 'Styling Options', 'andrina-lite' ),
				'description' => __( 'Design your website with more colors and styles.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
                    	array(
				'title'       => __( 'SEO Optimized', 'andrina-lite' ),
				'description' => __( 'Get a completely SEO optimized website for your business.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( 'Pricing Plans Section', 'andrina-lite' ),
				'description' => __( 'A fully customizable pricing plans section.', 'andrina-lite' ),
				'is_in_lite'  => 'false',
				'is_in_pro'   => 'true',
			),
			array(
				'title'       => __( '24*7 Support', 'andrina-lite' ),
				'description' => __( 'Get instant solution to all your queries with our 24*7 support.', 'andrina-lite' ),
				'is_in_lite'  => 'true',
				'is_in_pro'   => 'true',
			),
		),
	),


);
inkthemes_About_Page::init( apply_filters( 'andrina_about_page_array', $config ) );

